<?php

use Illuminate\Support\Facades\Route;
use App\Http\Middleware\TenantMiddleware;

Route::get('/', \App\Livewire\Index::class);
Route::get('/login', \App\Livewire\Login::class);
Route::get('/registration', \App\Livewire\Registration::class);
Route::get('/onboarding', \App\Livewire\Onboarding::class);

//Route::group(['middleware' => 'auth'], function () {
Route::middleware([TenantMiddleware::class])->group(function () {

    Route::group(['prefix'=>'admin'],function (){

        Route::get('/dashboard', \App\Livewire\Dashboard::class)->name('dashboard');
        Route::get('/company', \App\Livewire\Company::class)->name('company');
        Route::get('/resources', \App\Livewire\Resource::class)->name('resource');
        //Route::get('/company_service', \App\Livewire\CompanyService::class)->name('company_service');

    });

});